/**
 * MessageUtil.
 *
 * Esta clase se encarga de generar los mensajes tanto de error como de informacion.
 * 
 * @author JuanRamon Segura Ponce
 *
 * @version v.1.0
 * @throws No Throws
 */
package model.util;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

public class MessageUtil {
    public MessageUtil(){
        
    }
    public MessageUtil(String msg) {
        final JFrame frame = new JFrame("JOptionPane");
        JOptionPane.showMessageDialog(frame,msg,"Information", JOptionPane.INFORMATION_MESSAGE);
    }
    
    public int showConfirmationMessage(String msg) {
            int r = JOptionPane.showConfirmDialog(null,msg,"Mensaje de Confirmacion", JOptionPane.YES_NO_OPTION);
            if(r == JOptionPane.YES_OPTION){
                return 1;
            }else{
                return -1;
            }
    }  
        
    public MessageUtil(String msg,JOptionPane type) {
        JOptionPane.showMessageDialog(null,msg,"Information", type.getMessageType());
    }       
}
