<%-- 
    Document   : screenUpdateDepartamento
    Created on : 25-abr-2013, 2:01:34
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Departamento Seleccionado - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .left{
                margin-left: -250px;
            }

            .right{
                margin-right: -250px;
                margin-top: -30px;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }
            
            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
                <li><a href="screenSelectDepartamento.action" title="Seleccionar Departamento">SELECCIONAR DEPARTAMENTO</a></li>
                <li>Departamento Seleccionado</li>
            </ul>

            <div class="elements">
                <h1>Departamento Seleccionado</h1>
<hr>
            <s:form id ="form" method="post">

                <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    
                </div>
                <s:textfield  type="text" name="idDepartamento" readonly="true" >ID Departamento</s:textfield>
                    <br>
                <s:textfield  type="text" name="departamento" readonly="true" size="32" >Departamento</s:textfield>
                    <br>
                <s:textfield  type="text" name="codigoDepartamento" readonly="true" size="32" >Codigo Departamento</s:textfield>
                    <br>
                    <br>
                    <div class="left">
                    <s:submit action="screenUpdateDepartamento" align="center" value="Modificar"></s:submit>
                    </div>
                    <div class="right">
                    <s:submit action="deleteDepartamento" align="center" value="Eliminar"></s:submit>
                    </div>
                    <br>
                <s:submit action="printDepartamento" align="center" value="Imprimir"></s:submit>
            </s:form>
        </div>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
