<%-- 
    Document   : screenInsertArticulo
    Created on : 25-abr-2013, 1:58:41
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Alta Persona - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                text-align: center;
                margin-left: -250px;
            }

            .right{
                text-align: center;
                margin-right: -250px;
                margin-top: -275px;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
                margin-top:5px;    
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }
            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
                <li>Alta Persona</li>
            </ul>

            <div class="elements">
                <H1>Alta Persona</H1>

            <s:form id ="form" action="insertPersona" method="post">
                <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    <hr>
                </div>

                <div class="left">
                    <s:select list="{'Español','Ingles','Frances'}"  name="persona.idioma">Idioma</s:select>
                        <br>
                    <s:textfield name="persona.nombre" placeholder="Nombre" size="32" maxlength="16">Nombre</s:textfield>
                        <br>
                    <s:textfield name="persona.apellido1" placeholder="Apellido 1" size="32" maxLength="16">Apellido 1</s:textfield>
                        <br>
                    <s:textfield name="persona.apellido2" placeholder="Apellido 2" size="32" maxLength="16">Apellido 2</s:textfield>           
                        <br>
                    </div>
                    <div class="right">
                    <s:select list="{'NIF', 'NIE', 'CIF'}"  name="persona.documento.tipoDocumento">Tipo Documento</s:select>

                        <br>
                    <s:textfield name="persona.documento.numeroDocumento" placeholder="Documento" size="32" maxlength="9">Documento</s:textfield>
                        <br>
                    <s:textfield name="persona.telefono" placeholder="Telefono" size="32" maxLength="10">Telefono</s:textfield>
                        <br>
                    <s:textfield name="persona.email" placeholder="Email" size="32" maxLength="30">Email</s:textfield>
                        <br>
                    </div>
                <s:submit value="Insertar" align="center"></s:submit>
            </s:form>
        </div>   
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
