<%-- 
    Document   : index
    Created on : 24-abr-2013, 1:08:22
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>

        <% session.setAttribute("page", "screenAdministrador");%>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            h1{
                text-align: center;
            }


            #cssmenu ul {margin: 0; padding: 7px 6px 0; background: #7d7d7d repeat-x 0 -110px; line-height: 100%; border-radius: 1em; font: normal .8em/1.5em Arial, Helvetica, sans-serif; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; -webkit-box-shadow: 0 1px 3px rgba(0,0,0, .4); -moz-box-shadow: 0 1px 3px rgba(0,0,0, .4);}
            #cssmenu li {margin: 0 5px; padding: 0 0 8px; float: left; position: relative; list-style: none; }
            #cssmenu a,
            #cssmenu a:link {font-weight: bold; color: #e7e5e5; text-decoration: none; display: block; padding:  8px 20px; margin: 0; border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px;	 text-shadow: 0 1px 1px rgba(0,0,0, .3); }
            #cssmenu a:hover {background: #000; color: #fff;}
            #cssmenu .active a, 
            #cssmenu li:hover > a {background: #e7e5e5 repeat-x 0 -40px; color: #666; border-top: solid 1px #f8f8f8; -webkit-box-shadow: 0 1px 1px rgba(0,0,0, .2); -moz-box-shadow: 0 1px 1px rgba(0,0,0, .2); box-shadow: 0 1px 1px rgba(0,0,0, .2); text-shadow: 0 1px 0 rgba(255,255,255, 1); }

            <!-- primer menu
            #cssmenu ul ul li:hover a,
            #cssmenu li:hover li a {background: none; border: none; color: #666; -webkit-box-shadow: none; -moz-box-shadow: none;}
            #cssmenu ul ul a:hover {background: #8f8f8f repeat-x 0 -100px !important; color: #fff !important; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; text-shadow: 0 1px 1px rgba(0,0,0, .1);}
            #cssmenu li:hover > ul {display: block;}
            #cssmenu ul ul {display: none; margin: 0; padding: 0; width: 185px; position: absolute; top: 40px; left: 0; background: #ddd repeat-x 0 0; border: solid 1px #b4b4b4; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; -webkit-box-shadow: 0 1px 3px rgba(0,0,0, .3); -moz-box-shadow: 0 1px 3px rgba(0,0,0, .3); box-shadow: 0 1px 3px rgba(0,0,0, .3);}
            #cssmenu ul ul li {float: none; margin: 0; padding: 3px; }
            #cssmenu ul:after {content: '.'; display: block; clear: both; visibility: hidden; line-height: 0; height: 0;}

        </style>

    </head>
    <body>
        <div class="elements">
            <h1>Menu Administrador</h1>
            <div id='cssmenu'>
                <ul>
                    <li class='has-subVertical'><a href='#'><span>Personas</span></a>
                        <ul>
                            <li><s:a href='screenInsertPersona.action'><span>Alta Persona</span></s:a></li>
                            <li><s:a href='screenSelectPersona.action'><span>Consulta Persona</span></s:a></li>                    
                            <li><s:a href='screenSelectAllPersona.action'><span>Consulta Personas</span></s:a></li>
                            <li><s:a href='screenSelectByExamplePersona.action'><span>Consulta con FILTRO</span></s:a></li>
                            </ul>
                        </li>

                        <li class='has-subVertical'><a href='#'><span>Departamentos</span></a>
                            <ul>
                                <li><s:a href='screenInsertDepartamento.action'><span>Alta Departamento</span></s:a></li>
                            <li><s:a href='screenSelectDepartamento.action'><span>Consulta Departamento</span></s:a></li>                    
                            <li><s:a href='screenSelectAllDepartamento.action'><span>Consulta Departamentos</span></s:a></li>
                            <li><s:a href='screenSelectByExampleDepartamento.action'><span>Consulta con FILTRO</span></s:a></li>
                            </ul>
                        </li>

                        <li class='has-subVertical'><a href='#'><span>Usuarios</span></a>
                            <ul>
                                <li><s:a href='screenInsertUsuario.action'><span>Alta Usuario</span></s:a></li>
                            <li><s:a href='screenSelectUsuario.action'><span>Consulta Usuario</span></s:a></li>                    
                            <li><s:a href='screenSelectAllUsuario.action'><span>Consulta Usuarios</span></s:a></li>
                            <li><s:a href='screenSelectByExampleUsuario.action'><span>Consulta con FILTRO</span></s:a></li>
                            </ul>
                        </li>

                        <li class='has-subVertical'><a href='#'><span>Incidencias</span></a>
                            <ul>

                                <li><s:a href='screenInsertIncidencia'><span>Abrir Incidencia</span></s:a></li>
                            <li><s:a href='screenSelectAdmIncidencia'><span>Incidencias Administrador</span></s:a></li>
                            <li><s:a href='screenSelectIncidencia'><span>Consulta Incidencia</span></s:a></li>
                            <li><s:a href='screenSelectAllIncidencia'><span>Consulta Incidencias</span></s:a></li>
                            <li><s:a href='screenSelectByExampleIncidencia'><span>Consulta con FILTRO</span></s:a></li>
                            </ul>
                        </li>

                        <li class='has-subVertical'><a href='#'><span>Contraseña</span></a>
                            <ul>  
                                <li><s:a href='screenUpdateManualLogin'><span>Cambio de Contraseña</span></s:a></li>
                            </ul>
                        </li>

                        <li><s:a href='logoutAction.action'><span>Desconexion del Sistema</span></s:a></li>

                </ul>
            </div>
        </div>
    </body>
</html>
