<%-- 
    Document   : screenUpdateUsuario
    Created on : 25-abr-2013, 2:01:34
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Usuario Seleccionada - JSP Page</title>
        
        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                text-align: center;
                margin-left: -250px;
            }
   
            .right{
                text-align: center;
                margin-right: -250px;
                margin-top: -275px;
            }
            
            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
                margin-top:5px;    
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            label{
                font-weight: bold;
                font-size: 14px;
            }

            input[type="submit"] {
                cursor: pointer;
            }
            
                        input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }
            
            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
	<li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
        <li>Modificar Usuario</li>
        </ul>
        
        <div class="elements">
        <h1>Modificar Usuario</h1>
        
        <s:form id ="form" method="post">
                    
        <div class="error">
                <tr>
                    <td colspan="2">
                        <s:actionerror />
                        <s:fielderror />
                    </td>
                </tr>
                <hr>
                </div>
                        <s:select list="{'R', 'U'}" name="usuario.tipoUsuario">Tipo Usuario</s:select>
                        <s:select list="{'A', 'B'}" name="usuario.estadoEnSistema">Estado en Sistema</s:select>
            
            <s:textfield name="usuario.idUsuario" readonly="true">ID Usuario</s:textfield>
            <s:textfield name="usuario.login.usuario" readonly="true" size="32">Usuario</s:textfield>
            <s:textfield name="usuario.departamento.codigoDepartamento" size="32">Codigo Departamento</s:textfield>
            
            <s:textfield name="usuario.emailUsuario" size="32">Email Usuario</s:textfield>
            <s:textfield name="usuario.telefonoUsuario" size="32">Telefono Usuario</s:textfield>

            <s:submit action="updateUsuario" value="Modificar" align="center"></s:submit>
        </s:form>
        </div>
<hr>
        <s:label value="%{msg}"></s:label>
        <hr>
  
    </body>
</html>
