<%-- 
    Document   : screenDeleteArticulo
    Created on : 25-abr-2013, 2:01:21
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Incidencias del Administrador - JSP Page</title>
        
        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
                margin-top:5px;    
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }
            
            #cssnavigation a:hover {
                color:#35acc5;
            }


            #macTable 
            {
                font: normal 11px verdana;	
            }
            
            #macTable .tableHeader
            { 
                background: #e1e1e1;
                height:30px;
                background: -moz-linear-gradient(top ,#e1e1e1 , #a0a0a0) ;
                background: -webkit-gradient(linear,left top,left bottom, from(#e1e1e1), to(#a0a0a0));
                filter:  progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0'); /* IE6 & IE7 */
                -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0')"; /* IE8 */
                border-top: 1px solid #f3f3f3;
            }

            .tableTitle
            {
                border-top-left-radius:5px 5px;
                border-top-right-radius: 5px 5px;
                text-align:center; 
                text-shadow:0px 1px 0px #e1e1e1;
                border-bottom:1px #060606 solid;
                -moz-border-radius-topleft:5px 5px;
                -moz-border-radius-topright:5px 5px;
                -webkit-border-top-left-radius:5px 5px;
                -webkit-border-top-right-radius:5px 5px;
            }

            #macTable .tableFooter
            { 
                background: #e1e1e1;
                height:30px;
                background: -moz-linear-gradient(top ,#e1e1e1 , #a0a0a0) ;
                background: -webkit-gradient(linear,left top,left bottom, from(#e1e1e1), to(#a0a0a0));
                filter:  progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0'); /* IE6 & IE7 */
                -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0')"; /* IE8 */
                border-top: 1px solid #f3f3f3;
            }

            .tableFooter
            {
                border-bottom-left-radius:5px 5px;
                border-bottom-right-radius: 5px 5px;
                text-align:center; 
                text-shadow:0px 1px 0px #e1e1e1;
                border-bottom:1px #060606 solid;
                -moz-border-radius-bottomleft:5px 5px;
                -moz-border-radius-bottomright:5px 5px;
                -webkit-border-bottom-left-radius:5px 5px;
                -webkit-border-bottom-right-radius:5px 5px;
            }
            
            #macTable  td
            {
                border-bottom:1px solid #e1e1e1;
                padding:3px;
                background:#ededed;
            }
            #macTable  tr:hover td
            {
                background:#999999;;
                cursor:pointer; 
            }
            #macTable a
            {
                color:#a0a0a0;
                text-decoration:none;
            }
                        label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
	<li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
	<li>Incidencias del Administrador</li>
        </ul>
        
        <div class="elements">
        <h1>Incidencias del Administrador</h1>
  
        <s:form id ="form" method="post">
            <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    <hr>
                </div>
            
            <s:select list="{'Origen','Destino'}" name="option">Elige una Opcion</s:select>
            <br>
            <s:submit action="selectAdmIncidencia" value="Listar" align="center"></s:submit>
            <br>
            <s:submit action="printAdmIncidencia" value="Imprimir" align="center"></s:submit>
        </s:form>
        </div>
        <hr>
        <table id="macTable" cellpadding="0" cellspacing="0" width="960" align="center">
		
            <tr class="tableHeader" >
		<th colspan="9" class="tableTitle" align="center">Lista de Incidencias</th>
            </tr>
     
            <tr>
                <td>ID Incidencia</td>
                <td>Origen</td>
                <td>Asunto</td>
                <td>Incidencia</td>
                <td>Destino</td>
                <td>Estado</td>
                <td>Data Abertura</td>
                <td>Respuesta</td>
                <td>Data Cierre</td>
            </tr>
                
            <s:iterator value="%{listIncidencia}">
                <tr>
                    <td><s:property value="idIncidencia"/></td>
                    <td><s:property value="origen"/></td>
                    <td><s:property value="asunto"/></td>
                    <td><s:property value="incidencia"/></td>
                    <td><s:property value="destino"/></td>
                    <td><s:property value="estado"/></td>
                    <td><s:property value="dataApertura"/></td>
                    <td><s:property value="respuesta"/></td>
                    <td><s:property value="dataCierre"/></td>
                </tr>    
            </s:iterator>
                
            <tr class="tableFooter" >
                <th colspan="9" class="tableFooter" align="center">Lista de Incidencias</th>
            </tr>
	</table>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
