<%-- 
    Document   : screenSelectIncidence
    Created on : 25-abr-2013, 2:07:21
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Incidencia Seleccionada - JSP Page</title>
    </head>
    <body>
        <set id="current" name="var" value="<%= session.getAttribute("usuario") %>"/>
        
      
        <s:if test='#var == "A"'>
            <ul id="cssnavigation">
            <li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
            <li>Abrir Incidencia</li>
            </ul>
        </s:if>
        <s:elseif test='#var == "R"'>
            <ul id="cssnavigation">
            <li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
            <li>Abrir Incidencia</li>
            </ul>
        </s:elseif>
        <s:elseif test='#var == "U"'>
            <ul id="cssnavigation">
            <li><s:a href="screenUsuario.action" title="Home">MENU USUARIO</s:a></li>
            <li>Abrir Incidencia</li>
            </ul>
        </s:elseif>
        <s:else>
            <ul id="cssnavigation">
            <li><s:a href="screenLogin.action" title="Home">PANTALLA LOGIN</s:a></li>
            <li>Abrir Incidencia</li>
            </ul>
        </s:else>
        
        <div class="elements">
        <h1>Incidencia Seleccionada</h1>
        
        <s:form id ="form" method="post">
                    
        <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    
                </div>
                        <hr>
            <s:textfield name="dataApertura" readonly="true" placeholder="Data Apertura" size="32" maxlength="10">Data Apertura<s:textfield label="Data Cierre" type="text" name="dataCierre" readonly="true" placeholder="Data Cierre" size="32" maxlength="10"></s:textfield></s:textfield>
            <br>
            <s:textfield type="text" name="estado" readonly="true" placeholder="Estado" size="1">Estado</s:textfield>
             <br>
            <s:textfield type="text" name="idIncidencia" readonly="true" placeholder="ID Incidencia" size="32">ID Incidencia</s:textfield>
             <br>
            <s:textfield type="text" name="origen" readonly="true" placeholder="Incidencia De" size="32">Origen</s:textfield>
             <br>
            <s:textfield type="text" name="destino" readonly="true" placeholder="Incidencia Para" size="32">Destino</s:textfield>
             <br>
            <s:textfield type="text" name="asunto" readonly="true" placeholder="Asunto" size="32" maxlength="32">Asunto</s:textfield>        
             <br>
            <s:textarea name="incidencia" cols="32" readonly="true" rows="10">Incidencia</s:textarea>
             <br>
            <s:textarea name="respuesta" cols="32" eadonly="true" rows="10">Respuesta</s:textarea> 
             <br>
            <s:submit action="closeIncidencia" value="Cerrar" align="center"></s:submit>
        </s:form>
        </div>
         <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
