<%-- 
    Document   : screenRegisterUsuario
    Created on : 28-abr-2013, 18:35:32
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Register Usuario - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                margin:0 auto;
                padding:10px 0;
            }
            

            .left{
                text-align: center;
                margin-left: -500px;
            }
            .center{
                text-align: center;
                margin-top: -192px;
            }
            .right{
                text-align: center;
                margin-right: -500px;
                margin-top: -135px;
            }
            
            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }
            
                        input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            .home {
                border:none;
                margin: 7px 0px;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }

            .error{
                margin-bottom: 70px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenLogin.action" title="Home">LOGIN</s:a></li>
                <li>Registrar Usuario</li>
            </ul>

            <div class="elements">
                <h1>Registrar Usuario</h1>
                <hr>
            <s:form id ="form" action="registerUsuario" method="post">
                <div class="error">
                <tr>
                    <td colspan="2">
                        <s:actionerror />
                        <s:fielderror />
                    </td>
                </tr>

                </div>
                <div class="left">
                    
                    <s:textfield name="departamento.codigoDepartamento" placeholder="Codigo Departamento" size="32">Codigo Departamento</s:textfield>
                        <br>

                    <s:textfield name="persona.documento.numeroDocumento" placeholder="Documento" size="32">Documento</s:textfield>
                        <br>
                    </div>
                    <div class="center">
                        <s:select list="{'U'}"  name="usuario.tipoUsuario">Tipo Usuario</s:select>
                        <br>
                    <s:textfield name="login.usuario" placeholder="Usuario" size="32">Usuario</s:textfield>
                        <br>

                    <s:textfield name="login.password" placeholder="Password" size="32">Password</s:textfield>
                        <br>
                    </div>
            
                    <div class="right">
                    <s:textfield name="usuario.emailUsuario" placeholder="Email Usuario" size="32">Email Usuario</s:textfield>
                        <br>
                    <s:textfield name="usuario.telefonoUsuario" placeholder="Telefono Usuario" size="32">Telefono Usuario</s:textfield>
                        <br>
                    </div>
                <s:submit value="Insertar" align="center"></s:submit>
            </s:form>
  </div>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
