<%-- 
    Document   : screenUpdateUsuario
    Created on : 25-abr-2013, 2:01:34
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Password Manual - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                margin:0 auto;
                padding:10px 0;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }


            #cssnavigation a:hover {
                color:#35acc5;
            }

        </style>
    </head>
    <body>
        <s:set id="current" name="var" value="%{current.tipoUsuario}"/>

        <s:if test='#var == "A"'>
            <ul id="cssnavigation">
                <li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
                    <li>Generar Password Manual</li>
                </ul>
        </s:if>
        <s:elseif test='#var == "R"'>
            <ul id="cssnavigation">
                <li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
                    <li>Generar Password Manual</li>
                </ul>
        </s:elseif>
        <s:elseif test='#var == "U"'>
            <ul id="cssnavigation">
                <li><s:a href="screenUsuario.action" title="Home">MENU USUARIO</s:a></li>
                    <li>Generar Password Manual</li>
                </ul>
        </s:elseif>
        <s:else>
            <ul id="cssnavigation">
                <li><s:a href="screenLogin.action" title="Home">PANTALLA DE LOGIN</s:a></li>
                    <li>Generar Password Manual</li>
                </ul>
        </s:else>

        <div class="elements">
            <h1>Generar Password Manual</h1>
            <hr>
            <s:form id ="form" method="post">

                <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                </div>

                <s:textfield name="usuario" readonly="true" size="32">Usuario</s:textfield>
                    <br>
                <s:textfield name="password" size="32">Password Anterior</s:textfield>
                    <br>
                <s:textfield name="pass1" size="32">Password Nuevo</s:textfield>
                    <br>
                <s:textfield name="pass2" size="32">Password Nuevo</s:textfield>
                    <br>
                <s:submit action="updateManualLogin" value="Modificar" align="center"></s:submit>
            </s:form>
        </div>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>

    </body>
</html>
