<%-- 
    Document   : screenUpdateArticulo
    Created on : 25-abr-2013, 2:01:34
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Articulo Seleccionado - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .left{
                text-align: center;
                margin-left: -250px;
            }

            .right{
                text-align: center;
                margin-right: -250px;
                margin-top: -389px;
            }

            .elements{
                text-align: center;
                margin:0 auto;
                padding:10px 0;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }

            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }

            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
                <li><a href="screenSelectArticulo.action" title="Seleccionar Articulo">SELECCIONAR ARTICULO</a></li>
                <li>Articulo Seleccionado</li>
            </ul>

            <div class="elements">
                <h1>Articulo Seleccionado</h1>
                <hr>
            <s:form id ="form" method="post">

                <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    <br>
                </div>

                <div class="left">
                    <s:select list="{'U', 'P'}" name="articulo.unidad">Unidad</s:select>
                    <br>
                    <s:textfield name="articulo.idArticulo" readonly="true" size="32">ID Articulo</s:textfield>
                        <br>
                    <s:textfield name="articulo.descripcion1" readonly="true" size="32">Descripcion 1</s:textfield>
                        <br>
                    <s:textfield name="articulo.descripcion2" readonly="true" size="32">Descripcion 2</s:textfield>
                        <br>
                    <s:textfield name="articulo.descripcion3" readonly="true" size="32">Descripcion 3</s:textfield>
                        <br>
                        <br>
                    <s:submit action="screenUpdateArticulo" value="Modificar" align="center"></s:submit>
                    </div>
                    <div class="right">
                    <s:textfield name="articulo.precio" readonly="true" size="32">Precio</s:textfield>
                        <br>
                    <s:textfield name="articulo.precioOferta" readonly="true" size="32">Precio Oferta</s:textfield>
                        <br>
                    <s:textfield name="articulo.tecla" readonly="true" size="32">Tecla</s:textfield>
                        <br>
                    <s:textfield name="articulo.codInterno" readonly="true" size="32">Codigo sms</s:textfield>
                        <br>
                    <s:textfield name="articulo.ean" readonly="true" size="32">Codigo Ean</s:textfield>
                        <br>
                        <br>
                    <s:submit action="deleteArticulo" value="Eliminar" align="center"></s:submit>
                    </div>
                    <br>
                <s:submit action="printArticulo" value="Imprimir" align="center"></s:submit>
                <br>
            </s:form>
        </div>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
