<%-- 
    Document   : screenDeleteArticulo
    Created on : 25-abr-2013, 2:01:21
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Seleccionar Carteles - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                text-align: center;
                margin-left: -250px;
            }

            .right{
                text-align: center;
                margin-right: -250px;
                margin-top: -260px;
            }
            
            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }
            
            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }


            #macTable 
            {
                font: normal 11px verdana;	
            }
            #macTable .tableHeader
            { 
                background: #e1e1e1;
                height:30px;
                background: -moz-linear-gradient(top ,#e1e1e1 , #a0a0a0) ;
                background: -webkit-gradient(linear,left top,left bottom, from(#e1e1e1), to(#a0a0a0));
                filter:  progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0'); /* IE6 & IE7 */
                -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0')"; /* IE8 */
                border-top: 1px solid #f3f3f3;
            }

            .tableTitle
            {
                border-top-left-radius:5px 5px;
                border-top-right-radius: 5px 5px;
                text-align:center; 
                text-shadow:0px 1px 0px #e1e1e1;
                border-bottom:1px #060606 solid;
                -moz-border-radius-topleft:5px 5px;
                -moz-border-radius-topright:5px 5px;
                -webkit-border-top-left-radius:5px 5px;
                -webkit-border-top-right-radius:5px 5px;
            }

            #macTable .tableFooter
            { 
                background: #e1e1e1;
                height:30px;
                background: -moz-linear-gradient(top ,#e1e1e1 , #a0a0a0) ;
                background: -webkit-gradient(linear,left top,left bottom, from(#e1e1e1), to(#a0a0a0));
                filter:  progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0'); /* IE6 & IE7 */
                -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#e1e1e1', endColorstr='#a0a0a0')"; /* IE8 */
                border-top: 1px solid #f3f3f3;
            }

            .tableFooter
            {
                border-bottom-left-radius:5px 5px;
                border-bottom-right-radius: 5px 5px;
                text-align:center; 
                text-shadow:0px 1px 0px #e1e1e1;
                border-bottom:1px #060606 solid;
                -moz-border-radius-bottomleft:5px 5px;
                -moz-border-radius-bottomright:5px 5px;
                -webkit-border-bottom-left-radius:5px 5px;
                -webkit-border-bottom-right-radius:5px 5px;
            }

            #macTable  td
            {
                border-bottom:1px solid #e1e1e1;
                padding:3px;
                background:#ededed;
            }
            #macTable  tr:hover td
            {
                background:#999999;;
                cursor:pointer; 
            }
            #macTable a
            {
                color:#a0a0a0;
                text-decoration:none;
            }

            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
                <li>Consulta de Carteles con FILTRO</li>
            </ul>
                
     <div class="elements">
            <h1>Consulta de Carteles con FILTRO</h1>
            <hr>

        <s:form id ="form" method="post">
            <div class="error">
                <tr>
                    <td colspan="2">
                        <s:actionerror />
                        <s:fielderror />
                    </td>
                </tr>
            </div>

            <div class="left">
                <br>
                <s:select headerValue="" headerKey="0" list="listTipo" name="plantilla.tipo">Tipo</s:select>
                <br>
                <s:select list="{'','U', 'P'}" name="articulo.unidad">Unidad</s:select>
                <br>
                <s:textfield name="articulo.precio" placeholder="Precio" size="32">Precio</s:textfield>
                <br>
                <s:textfield name="articulo.precioOferta" placeholder="Precio Oferta" size="32">Precio Oferta</s:textfield>    
                <br>
                </div>

                <div class="right">
                <s:select headerValue="" headerKey="0" list="listTamano" name="plantilla.tamano">Tamano</s:select>
                <br>
                <s:textfield name="articulo.descripcion1" placeholder="Descripcion 1" size="32" maxlength="32">Descripcion 1</s:textfield>
                <br>
                <s:textfield name="articulo.descripcion2" placeholder="Descripcion 2" size="32" maxlength="32">Descripcion 2</s:textfield>
                <br>
                <s:textfield name="articulo.descripcion3" placeholder="Descripcion 3" size="32" maxlength="32">Descripcion 3</s:textfield>  
                <br>
                </div>

            <s:submit action="selectByExampleCartel" align="center" value="Listar"></s:submit>
            <br>
            <s:submit action="printCarteles" value="Imprimir" align="center"></s:submit>
        </s:form>

            
     </div>
                
        <hr>
        <table id="macTable" cellpadding="0" cellspacing="0" width="960" align="center">

            <tr class="tableHeader" >
                <th colspan="11" class="tableTitle" align="center">Lista de Carteles</th>
            </tr>

            <tr>
                <td>ID Cartel</td>
                <td>Tipo</td>
                <td>Tamaño</td>
                <td>Descripcion 1</td>
                <td>Descripcion 2</td>
                <td>Descripcion 3</td>
                <td>Precio</td>
                <td>Precio Oferta</td>
                <td>Codigo Ean</td>
                <td>Data Inicio</td>
                <td>Data Final</td>

            </tr>

            <s:iterator value="%{listCartel}">
                <tr>
                    <td><s:property value="idCartel"/></td>
                    <td><s:property value="plantilla.tipo"/></td>
                    <td><s:property value="plantilla.tamano"/></td>
                    <td><s:property value="articulo.descripcion1"/></td>
                    <td><s:property value="articulo.descripcion2"/></td>
                    <td><s:property value="articulo.descripcion3"/></td>
                    <td><s:property value="articulo.precio"/></td>
                    <td><s:property value="articulo.precioOferta"/></td>
                    <td><s:property value="articulo.ean"/></td>
                    <td><s:property value="dataIni"/></td>
                    <td><s:property value="dataFi"/></td>
                </tr>    
            </s:iterator>

            <tr class="tableFooter" >
                <th colspan="11" class="tableFooter" align="center">Lista de Carteles</th>
            </tr>
        </table>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
