<%-- 
    Document   : screenUpdateTrabajo
    Created on : 25-abr-2013, 2:01:34
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Trabajo Seleccionado - JSP Page</title>
        
        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                text-align: center;
                margin-left: -500px;
            }
            .center{
                text-align: center;
                margin-top: -31px;
            }
            .right{
                text-align: center;
                margin-right: -500px;
                margin-top: -31px;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }

            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }

            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
	<li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
        <li><a href="screenSelectTrabajo.action" title="Seleccionar Trabajo">SELECCIONAR TRABAJO</a></li>
        <li>Trabajo Seleccionado</li>
        </ul>
      
        <div class="elements">
        <h1>Trabajo Seleccionado</h1>
        <hr>
        <s:form id ="form" method="post">
                    
        <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                </div>
                        
            <s:textfield label="ID Trabajo" type="text" name="trabajo.idTrabajo" size="32" readonly="true"></s:textfield>
            <br>
            <s:textfield label="Descripcion Trabajo" type="text" name="trabajo.descripcion" size="32" readonly="true"></s:textfield>
            <br>
            <s:textfield label="Prioridad Trabajo" type="text" name="trabajo.prioridad" size="32" readonly="true"></s:textfield>
            <br>
            <s:textfield label="Fecha de Creacion" type="text" name="trabajo.fechaCreacion" size="32" readonly="true"></s:textfield>
            <br>
            
            <div class="left">
            <s:submit action="screenUpdateTrabajo" value="Modificar" align="center"></s:submit>
            </div>
            <div class="center">
            <s:submit action="deleteTrabajo" value="Eliminar" align="center"></s:submit>
            </div>
            <div class="right">
            <s:submit action="printTrabajo" value="Imprimir" align="center"></s:submit>
            </div>
        </s:form>
        </div>
  <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
