<%-- 
    Document   : screenInsertArticulo
    Created on : 25-abr-2013, 1:58:41
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Creacion de la BD - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                margin-left: -250px;
            }

            .right{
                margin-right: -250px;
                margin-top: -37px;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                /*float:right;*/
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
                margin-top:5px;    
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            label{
                text-align: center;
                font-weight: bold;
                font-size: 14px;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

                        #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenLogin.action" title="Home">PANTALLA LOGIN</s:a></li>
                <li>Creacion de la BD</li>
            </ul>

            <div class="elements">
                <H1>Creacion de la BD</H1>

            <s:form id ="form" method="post">
                <tr>
                    <td colspan="2">
                        <s:actionerror />

                        <s:fielderror />
                    </td>
                </tr>    

                <s:textfield label="Usuario" type="text" name="user" placeholder="Usuario" size="32" maxlength="12"></s:textfield>
                    <br>
                <s:password label="Password" type="text" name="pass" placeholder="Password" size="32" maxlength="11"></s:password>
                    <br>
                    <div class="left">
                    <s:submit action="createBD" value="Crear BD" align="center"></s:submit>
                    </div>
                    <div class="right">
                    <s:submit action="iniBD" value="Valores Iniciales" align="center"></s:submit>
                    </div>
            </s:form>
        </div> 

        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
