<%-- 
    Document   : screenUpdatePersona
    Created on : 25-abr-2013, 2:01:34
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Persona Seleccionada - JSP Page</title>
        
         <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                text-align: center;
                margin-left: -250px;
            }
   
            .right{
                text-align: center;
                margin-right: -250px;
                margin-top: -275px;
            }
            
            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }

            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
                margin-top:5px;    
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }
            
            label{
                font-weight: bold;
                font-size: 14px;
            }

            input[type="submit"] {
                cursor: pointer;
            }
            
                        input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }
            
            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
	<li><s:a href="screenAdministrador.action">MENU ADMINISTRADOR</s:a></li>
        <li><s:a href="screenSelectPersona.action">SELECCIONAR PERSONA</s:a></li>
        <li>Modificar Persona</li>
        </ul>
        
         <div class="elements">
        <h1>Modificar Persona</h1>
        
        <s:form id ="form" method="post">
                    
        <div class="error">
                <tr>
                    <td colspan="2">
                        <s:actionerror />
                        <s:fielderror />
                    </td>
                </tr>
                <hr>
                </div>
         <div class="left">
            <s:textfield name="persona.idPersona" readonly="true">ID Persona</s:textfield>
            <br>
            
            <s:textfield name="persona.nombre" placeholder="Nombre" size="32">Nombre</s:textfield>
            <br>
            <s:textfield name="persona.apellido1" placeholder="Apellido 1" size="32">Apellido 1</s:textfield>
            <br>
            <s:textfield name="persona.apellido2" placeholder="Apellido 2" size="32">Apellido 2</s:textfield>           
         </div>
         <div class="right">
             <s:textfield name="persona.documento.numeroDocumento" readonly="true" size="32">Documento</s:textfield>
            <br>
            <s:textfield name="persona.idioma" placeholder="Idioma" size="32">Idioma</s:textfield>           
            <br>
            <s:textfield name="persona.telefono" placeholder="Telefono" size="32">Telefono</s:textfield>
            <br>
            <s:textfield name="persona.email" placeholder="Email" size="32">Email</s:textfield>
            <br><br>
            </div>    
            <s:submit action="updatePersona" align="center" value="Modificar"></s:submit>
        </s:form>
         </div>
  <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
