<%-- 
    Document   : screenInsertArticulo
    Created on : 25-abr-2013, 1:58:41
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Abrir Incidencia - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }

            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>

        <s:set id="current" name="var" value="%{current.tipoUsuario}"/>

        <s:if test='#var == "A"'>
            <ul id="cssnavigation">
                <li><s:a href="screenAdministrador.action" title="Home">MENU ADMINISTRADOR</s:a></li>
                    <li>Abrir Incidencia</li>
                </ul>
        </s:if>
        <s:elseif test='#var == "R"'>
            <ul id="cssnavigation">
                <li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
                    <li>Abrir Incidencia</li>
                </ul>
        </s:elseif>
        <s:elseif test='#var == "U"'>
            <ul id="cssnavigation">
                <li><s:a href="screenUsuario.action" title="Home">MENU USUARIO</s:a></li>
                    <li>Abrir Incidencia</li>
                </ul>
        </s:elseif>
        <s:else>
            <ul id="cssnavigation">
                <li><s:a href="screenLogin.action" title="Home">PANTALLA LOGIN</s:a></li>
                    <li>Abrir Incidencia</li>
                </ul>
        </s:else>

        <div class="elements">
            <h1>Abrir Incidencia</h1>

            <s:form id ="form" action="insertIncidencia" method="post">

                <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    <hr>
                </div>

                <s:elseif test='#var == ""'>
                    <s:textfield name="origen" placeholder="Origen" size="32">Usuario Origen</s:textfield>
                        <br>
                </s:elseif>

                <s:select list="{'Administrador','Responsable','Usuario'}" name="dest">Destino</s:select>  
                    <br>
                <s:select list="{'Funcionamiento','Carteles','Password'}" name="asunto">Asunto</s:select> 
                    <br>
                <s:textfield name="destino" placeholder="Destino" size="32">Usuario Destino</s:textfield>
                    <br>
                <s:textarea name="incidencia" cols="32" rows="10" placeholder="Introduce aqui la Incidencia.">Incidencia</s:textarea>
                    <br>
                <s:submit value="Insertar" align="center"></s:submit>
            </s:form>
        </div>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
