<%-- 
    Document   : index
    Created on : 24-abr-2013, 1:08:22
    Author     : JuanRamon
--%>


<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@taglib uri="/struts-tags" prefix="s" %>

<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

        <title>Login - JSP Page</title>


        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .header{
                height:65px;
                margin-bottom:15px;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                /*float:right;*/
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
                margin-top:5px;    
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }


            .separator{
                height:10px;
                margin-bottom:15px;
            }

            .forget{
                position: static;
                font-size:12px;
                font-weight: bold;
                margin-bottom:10px;
            }
            .forget a{
                color:#666666;
                font-weight: bold;
                text-decoration:none;
            }

            label{
                text-align: center;
                font-weight: bold;
                font-size: 14px;
            }

            input[type="submit"] {
                cursor: pointer;
            }
            
            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }
            
        </style>

</head>

<body>

    <div class="elements">

        <h1>Pantalla de Acceso</h1>
        
        <s:form action="login" method="post">
            <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    <hr>
                </div>
                                   
            <s:textfield id="username" class="username" name="usuario" placeholder="Usuario" size="29"/>
            <br>
            <s:password id="password" class="password" name="password" placeholder="Password" size="30"/>
            <br>
            <s:submit align="center" type="submit" name="submit" class="submit" value="Login"/>
        </s:form>


        <div class="separator"></div>

        <div class="text">      
            <div class="forget">No puedes acceder al sistema?<br><s:a href="screenForgetPassword.action">
                    Clica Aqui!</s:a></div>
            <div class="forget">No Dispones de una Cuenta?<s:a href="screenRegisterUsuario.action">Registrate!</s:a></div>
            <label>Copyright © Chop Programs 2013</label>
        </div>

    </div> 
                    <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
</body>

</html>
