<%-- 
    Document   : screenInsertCartel
    Created on : 25-abr-2013, 1:58:41
    Author     : JuanRamon
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@taglib uri="/struts-tags" prefix="s" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Alta Cartel - JSP Page</title>

        <style type="text/css">

            html {
                background: #ccc,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 0 0,
                    -webkit-radial-gradient(hsla(0,0%,0%,.25) 15%, transparent 15%) 8px 8px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 0 1px,
                    -webkit-radial-gradient(hsla(0,0%,100%,.5) 15%, transparent 20%) 8px 9px;
                background-color: #ccc;
            }

            .elements{
                text-align: center;
                /*width:200px;*/
                margin:0 auto;
                padding:10px 0;
            }

            .left{
                text-align: center;
                margin-left: -500px;
                margin-top: 50px;
            }
            .center{
                text-align: center;
                margin-top: -328px;
            }
            .right{
                text-align: center;
                margin-right: -500px;
                margin-top: -291px;
            }

            input.fail { -webkit-box-shadow: 0px 0px 5px #ff4848; -moz-box-shadow: 0px 0px 5px #ff4848; box-shadow: 0px 0px 5px #ff4848; }


            input {
                text-align: center;
                width:200px;
                border:2px solid #dadada;
                border-radius:7px;
                font-size:15px;
                padding:5px;
            }

            input:focus { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            input[type="submit"] {
                cursor: pointer;
            }

            input[type="submit"]:hover { 
                outline:none;
                border-color:#9ecaed;
                box-shadow:0 0 10px #9ecaed;
            }

            #cssnavigation {
                font: 11px Arial, Helvetica, sans-serif;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                height:30px;
                line-height:30px;
                font-weight: bold;
                color:#666;

                border:solid 1px #cacaca;
                width:100%;
                overflow:hidden;
                margin:0px;
                padding:0px;
            }

            #cssnavigation li {
                list-style-type:none;
                padding-left:10px;
                display:inline-block;
                float:left;
            }

            #cssnavigation a {
                display:inline-block;
                background-color: #e7e5e5;
                background-repeat:repeat-x;
                background-position:right;
                padding-right: 15px;
                text-decoration: none;
                color:#333333;
                outline:none;
            }

            #cssnavigation a:hover {
                color:#35acc5;
            }

            label{
                font-weight: bold;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <ul id="cssnavigation">
            <li><s:a href="screenResponsable.action" title="Home">MENU RESPONSABLE</s:a></li>
                <li>Alta Cartel</li>
            </ul>

            <div class="elements">
                <h1>Alta Cartel</h1>
                <hr>
            <s:form id ="form" action="insertCartel" method="post">
                <div class="error">
                    <tr>
                        <td colspan="2">
                            <s:actionerror />
                            <s:fielderror />
                        </td>
                    </tr>
                    <br>
                </div>

                <br>
                <div class="left">
                    <s:select  headerKey="0" list="listTipo" name="plantilla.tipo">Tipo</s:select>
                        <br>    

                    <s:textfield name="articulo.ean" placeholder="Codigo Ean" size="32" maxlength="13">Codigo Ean</s:textfield>
                        <br>
                    <s:textfield name="articulo.codInterno" size="32" maxlength="6">Codigo Sms</s:textfield>
                        <br>
                    <s:textfield name="articulo.tecla" size="32">Tecla</s:textfield>   
                        <br>
                    </div>

                    <div class="center">

                    <s:textfield name="articulo.precioOferta" size="32">Precio Oferta</s:textfield>
                        <br>   
                    <s:select  headerKey="0" list="listTamano" name="plantilla.tamano">Tamano</s:select>
                        <br>
                    <s:textfield name="articulo.descripcion1" placeholder="Descripcion 1" size="32" maxlength="32">Descripcion 1</s:textfield>
                        <br>
                    <s:textfield name="articulo.descripcion2" placeholder="Descripcion 2" size="32" maxlength="32">Descripcion 2</s:textfield>
                        <br>
                    <s:textfield name="articulo.descripcion3" size="32" maxlength="32">Descripcion 3</s:textfield>        
                        <br>    
                    <s:submit value="Insertar" align="center"></s:submit>
                    </div>

                    <div class="right">
                    <s:select list="{'U', 'P'}"  name="articulo.unidad">Unidad</s:select>
                        <br>
                    <s:textfield name="articulo.precio" placeholder="Precio" size="32">Precio</s:textfield>
                        <br>
                    <s:textfield name="dataIni" size="32" maxlength="10">Data Inicio</s:textfield>        
                        <br> 
                    <s:textfield name="dataFi"  size="32" maxlength="10">Data Final</s:textfield>
                        <br>
                    </div>
                    <br>
                    <br>
            </s:form>
        </div>
        <hr>
        <s:label value="%{msg}"></s:label>
        <hr>
    </body>
</html>
